package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.MessageTypeMapper;
import com.zcxk.entity.MessageType;
import com.zcxk.service.MessageTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (MessageType表)服务实现类
 *
 * @author makejava
 * @since 2020-11-12 10:54:09
 */
@Service("messageTypeService")
public class MessageTypeServiceImpl implements MessageTypeService {
    @Autowired
    private MessageTypeMapper messageTypeMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public MessageType selectById(Integer id) {
        return this.messageTypeMapper.selectById(id);
    }


    /**
     * 查询所有
     *
     * @return 实例对象的集合
     */
    @Override
    public List<MessageType> selectAll() {
        return this.messageTypeMapper.selectAll();
    }

    /**
     * 根据条件查询
     *
     * @return 实例对象的集合
     */
    @Override
    public List<MessageType> selectList(MessageType messageType) {
        return this.messageTypeMapper.selectList(messageType);
    }

    /**
     * 新增数据
     *
     * @param messageType 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(MessageType messageType)
    {
        this.messageTypeMapper.insert(messageType);
        return messageType.getId();
    }

    /**
     * 批量新增
     *
     * @param messageTypes 实例对象的集合
     * @return 生效的条数
     */
    @Override
    public int batchInsert(List<MessageType> messageTypes) {
        return this.messageTypeMapper.batchInsert(messageTypes);
    }

    /**
     * 修改数据
     *
     * @param messageType 实例对象
     * @return 实例对象
     */
    @Override
    public int update(MessageType messageType) {

            this.messageTypeMapper.update(messageType);

        return 0;
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public int deleteById(Integer id) {
        return this.messageTypeMapper.deleteById(id);
    }

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    @Override
    public int count() {
        return this.messageTypeMapper.count();
    }

    /**
     * 分页查询
     *
     * @return 对象列表
     */
    @Override
    public IPage<MessageType> selectPage(MessageType messageType, IPage<MessageType> page) {
        return this.messageTypeMapper.selectPage(page, messageType);
    }
}